﻿@{
    ViewData["Title"] = "Pengajuan Biaya";
}
<section class="section">
    <div class="section-header">
        <h1>Pengajuan Biaya</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item active"><a asp-controller="Home" asp-action="Index">Keuangan</a></div>
            <div class="breadcrumb-item"><a asp-controller="Keuangan" asp-action="InputRencanaPendapatan">Pengajuan Biaya</a></div>
        </div>
    </div>

    <div class="section-body">

        <div class="card" style="margin-bottom:10px;">
            <div class="card-header form-row">
                <h4 class="col-md-4">Pengajuan Biaya</h4>
                <div class="col-md-8 text-right">
                    <form class="form-inline" id="FormAksi">
                        <div class="form-group">
                            <select class="form-control" name="IdTahunAjaran">
                            </select>
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-info" onclick="TabelPengajuan();"><i class="fa fa-eye"></i> Tampilkan</button>
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-success" onclick="TambahPengajuan();"><i class="fa fa-plus"></i> Tambah Data</button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="card-body" id="MainTableEmpty">
                <center>
                    <img src="~/assets/img/list.png" width="400px" class="img-fluid">
                </center>
            </div>
            <div class="card-body" id="MainTable" style="display:none">
                <div class="table-responsive">
                    <table id="TabelPengajuan" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Nama Unit</th>
                                <th>Tahun Ajaran</th>
                                <th>Nomor</th>
                                <th>Program</th>
                                <th>Kegiatan</th>
                                <th>Tanggal Butuh</th>
                                <th>Status</th>
                                <th>Status Proses</th>
                                <th>Total Rp</th>
                                <th>Total Realisasi Rp</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Nama Unit</th>
                                <th>Tahun Ajaran</th>
                                <th>Nomor</th>
                                <th>Program</th>
                                <th>Kegiatan</th>
                                <th>Tanggal Butuh</th>
                                <th>Status</th>
                                <th>Status Proses</th>
                                <th>Total Rp</th>
                                <th>Total Realisasi Rp</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

        <!--- SECTION TABEL DATA COA -->
        <div class="card" style="margin-bottom:10px;display:none;" id="DivSectionAkun">
            <div class="card-body form-row">
                <div class="col-md-12">
                    <div class="table-responsive mt-3">
                        <table id="TabelPengajuanCoa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Kode Akun</th>
                                    <th>Nama Akun</th>
                                    <th>Jumlah Satuan</th>
                                    <th>Satuan</th>
                                    <th>Jumlah Volume</th>
                                    <th>Volume</th>
                                    <th>Harga Satuan</th>
                                    <th>Total Rp</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Kode Akun</th>
                                    <th>Nama Akun</th>
                                    <th>Jumlah Satuan</th>
                                    <th>Satuan</th>
                                    <th>Jumlah Volume</th>
                                    <th>Volume</th>
                                    <th>Harga Satuan</th>
                                    <th>Total Rp</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
                <div class="col-md-4">

                </div>
            </div>
        </div>
        <!--- END SECTION TABEL DATA COA -->
    </div>
</section>

<!--- SECTION FORM DATA SETUJUI -->
<div class="modal fade" id="ModalFormSetujui" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormSetujui"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormSetujui" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdPengajuan" placeholder="IdPengajuan" readonly />
                    <div class="form-row mt-3" id="DivSetujui">
                        <div class="col-md-12">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Unit</label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="Unit" placeholder="Ketikkan Unit" readonly />
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Status Proses</label>
                                <div class="col-md-8">
                                    <input type="radio" name="StatusProses" value="1" placeholder="Ketikkan Status Proses" /> Setujui &nbsp;&nbsp;
                                    <input type="radio" name="StatusProses" value="99" placeholder="Ketikkan Status Proses" /> Tolak
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Catatan</label>
                                <div class="col-md-8">
                                    <textarea class="form-control" name="Catatan" placeholder="Ketikkan Catatan" style="height:100px;"></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSetujui"><i class="fa fa-save"></i> Kirim</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM DATA SETUJUI -->
<!--- SECTION FORM Pengajuan Biaya -->
<div class="modal fade" id="ModalFormPengajuan" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormPengajuan"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormPengajuan" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdPengajuan" placeholder="IdPengajuan" readonly />
                    <div class="form-row mt-3">
                        <div class="col-md-12" id="SectionAdd" style="display:none;">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Tahun Ajaran</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdTahunAjaran" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Program Unit</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdProgram" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row" id="ComboJenis" style="display:none;">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Jenis</label>
                                <div class="col-md-8">
                                    <label class="radio-inline">
                                        <input type="radio" name="Jenis" value="Wajib" placeholder="Ketikkan Jenis" /> WAJIB &nbsp;&nbsp;
                                    </label>
                                    <label class="radio-inline">
                                        <input type="radio" name="Jenis" value="Tambahan" placeholder="Ketikkan Jenis" /> TAMBAHAN
                                    </label>
                                </div>
                            </div>
                            <div class="form-group form-row" id="ComboProgKegWajib" style="display:none;">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Kegiatan Wajib</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdUnitProKegWajib" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row" id="ComboProgKegTambahan" style="display:none;">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Kegiatan Tambahan</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdUnitProKegTambahan" style="width:100%;"></select>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12" id="SectionAddEdit" style="display:none;">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Nomor</label>
                                <input type="text" class="col-md-8 form-control" name="Nomor" placeholder="Ketikkan Nomor" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Tanggal Butuh</label>
                                <input type="text" class="col-md-8 form-control" name="Tanggal" data-toggle="datepicker-min-nextday" placeholder="- Ketikkan Tanggal -" readonly/>
                            </div>
                        </div>
                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSavePengajuan"><i class="fa fa-save"></i> Simpan Data</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM Pengajuan Biaya -->
<!--- SECTION FORM DATA COA -->
<div class="modal fade" id="ModalFormPengajuanCoa" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormPengajuanCoa"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormPengajuanCoa" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdPengajuan" placeholder="IdPengajuan" readonly />
                    <input type="hidden" class="form-control" name="IdPengajuanCoa" placeholder="IdPengajuanCoa" readonly />
                    <div class="form-row mt-3" id="DivPengajuanCoa">
                        <div class="col-md-6">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Kode Akun</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdCoa" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Jumlah Satuan</label>
                                <input type="text" class="col-md-8 form-control" name="JumlahSatuan" placeholder="Ketikkan Jumlah Satuan" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Satuan</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdJenisSatuan" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Catatan</label>
                                <textarea class="col-md-8 form-control" name="Catatan" placeholder="Ketikkan Catatan Detil Kegiatan" style="height:100px;"></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Jumlah Volume</label>
                                <input type="text" class="col-md-8 form-control" name="JumlahVolume" placeholder="Ketikkan Jumlah Volume" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Volume</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdJenisVolume" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Harga Satuan</label>
                                <input type="text" class="col-md-8 form-control" name="HargaSatuan" placeholder="Ketikkan Harga Satuan" />
                            </div>
                        </div>
                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSavePengajuanCoa"><i class="fa fa-save"></i> Simpan Data</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM DATA COA -->